Subject: Re: bug#73860: 29.2; tetris on windows

From: Pierpaolo Bernardi <[email-masked]>
Date: Fri, 18 Oct 2024 21:04:16 +0200

On Fri, Oct 18, 2024 at 8:44 PM Eli Zaretskii <[email-masked]> wrote:

> > > Can your Emacs display XPM images?
> >
> > No.
>
> How come?  I think this is the cause of your problem, but it shouldn't
> happen: every Emacs binary distribution on MS-Windows must be capable
> of displaying XPM (because the tool-bar icons are XPM images).  Do you
> have libxpm-noX4.dll (or similarly-named) library in the same
> directory as emacs.exe or somewhere on PATH?

No.

To be sure, I checked in the zip file that I downloaded and lixpm is not there.

Now I downloaded emacs-29.4.zip. I have not installed it yet, BUT the
file libXpm-nox4.dll is in the zip

I forgot to write that I use the .zip file. Maybe the .exe installer
did not have this problem, and that may be why nobody noticed before.

> > So, it looks like there's been an error in the packaging of this
> > binary release?
>
> If your installation lacks a libxpm DLL, then yes.  It must be part of
> the package.

Looks like this was the case, and it has already been fixed in newer releases.

Thank you for the support!

Cheers